#include <stdint.h>

#include <libopencm3/stm32/gpio.h>

#include "gpio_utils.h"

void gpio_pulseHigh( uint32_t gpioport, uint16_t gpios) {
    gpio_set(gpioport, gpios);
    for (int x = 0; x < 1000; x++) __asm__("nop");
    gpio_clear(gpioport, gpios);
}

void gpio_pulseLow( uint32_t gpioport, uint16_t gpios) {
    gpio_clear(gpioport, gpios);
    for (int x = 0; x < 1000; x++) __asm__("nop");
    gpio_set(gpioport, gpios);
}
