#include <stdint.h>

#ifndef SSD1306_H
#define SSD1306_H
struct ssd1306 {
    uint32_t spi;
    uint32_t port;

    // those are actually determined by "spi"
    uint16_t clock;
    uint16_t mosi;
    uint16_t cs; // aka NSS

    uint16_t dc; 
    uint16_t rst;
};

void oled_reset(struct ssd1306*);
void oled_init(struct ssd1306*);
void oled_setup(struct ssd1306*);
void oled_draw(struct ssd1306*, uint8_t *buf);

#endif // SSD1306_H
